Index: sansmodels/src/sans/models/c_extensions/lamellar.c
===================================================================
--- sansmodels/src/sans/models/c_extensions/lamellar.c	(revision 34c30203f24453aa528815f48e84a90b0bbd95be)
+++ sansmodels/src/sans/models/c_extensions/lamellar.c	(revision 42f193aa18a9b086b81b4861e33abca433f0ba94)
@@ -1,4 +1,4 @@
 /**
- * Scattering model for lamellar
+ * Scattering model for dilute lamellar model: polydipsersion in thickness (delta) included
  * @author: Gervaise B. Alina / UTK
  */
@@ -19,5 +19,5 @@
 double lamellar_analytical_1D(LamellarParameters *pars, double q) {
 	double dp[5];
-	
+
 	// Fill paramater array
 	dp[0] = pars->scale;
@@ -26,18 +26,22 @@
 	dp[3] = pars->contrast;
 	dp[4] = pars->background;
-	
-	
+
+
 	// Call library function to evaluate model
-	return LamellarFF(dp, q);	
+	return LamellarFF(dp, q);
+}
+/**
+ * Function to evaluate 2D scattering function
+ * @param pars: parameters of the lamellar
+ * @param q: q-value
+ * @return: function value
+ */
+
+
+double lamellar_analytical_2D(LamellarParameters *pars, double q, double phi){
+	return lamellar_analytical_1D(pars,q);
+}
+double lamellar_analytical_2DXY(LamellarParameters *pars, double qx, double qy){
+	return lamellar_analytical_1D(pars,sqrt(qx*qx+qy*qy));
 }
 
-double lamellar_analytical_2D(LamellarParameters *pars, double q, double phi){
-	return 1.0;
-}
-double lamellar_analytical_2DXY(LamellarParameters *pars, double qx, double qy){
-	return 1.0;
-}
-double lamellar_analytical_2D_scaled(LamellarParameters *pars, double q, double q_x, double q_y){
-	return 1.0;
-}
-
Index: sansmodels/src/sans/models/c_extensions/lamellar.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/lamellar.h	(revision 34c30203f24453aa528815f48e84a90b0bbd95be)
+++ sansmodels/src/sans/models/c_extensions/lamellar.h	(revision 42f193aa18a9b086b81b4861e33abca433f0ba94)
@@ -3,11 +3,14 @@
 /** Structure definition for lamellar parameters
  * [PYTHONCLASS] = LamellarModel
- * [DISP_PARAMS] =  delta
-   [DESCRIPTION] = <text> I(q)= 2*pi*P(q)/(delta *q^(2))
-						where:
-						P(q)=2*(contrast/q)^(2)*(1-cos(q*delta)*e^(1/2*(q*sigma)^(2))
-				   </text>
-	[FIXED]= delta.width 
-	[ORIENTATION_PARAMS]= 
+   [DESCRIPTION] = <text>[Dilute Lamellar Form Factor](from a lyotropic lamellar phase)
+	   I(q)= 2*pi*P(q)/(delta *q^(2)), where
+		P(q)=2*(contrast/q)^(2)*(1-cos(q*delta)
+		*e^(1/2*(q*sigma)^(2)).
+		delta = bilayer thickness
+		sigma = variation in bilayer thickness
+			= delta*polydispersity
+		contrast = SLD_solvent - SLD_bilayer
+	Note: the polydispersity in delta is included.
+ </text>
  **/
 typedef struct {
@@ -18,5 +21,5 @@
     //  [DEFAULT]=delta=50.0 [A]
     double delta;
-    /// variation in bilayer thickness 
+    /// variation in bilayer thickness
     //  [DEFAULT]=sigma=0.15
     double sigma;
@@ -27,5 +30,5 @@
 	//  [DEFAULT]=background=0.0 [1/cm]
 	double background;
-   
+
 
 } LamellarParameters;
Index: sansmodels/src/sans/models/c_extensions/vesicle.h
===================================================================
--- sansmodels/src/sans/models/c_extensions/vesicle.h	(revision 3d25331f0e8a822fc6c59f15883b1cd21463b567)
+++ sansmodels/src/sans/models/c_extensions/vesicle.h	(revision 42f193aa18a9b086b81b4861e33abca433f0ba94)
@@ -4,18 +4,15 @@
 /**
  * Structure definition for vesicle parameters
-
-	[PYTHONCLASS] = VesicleModel
-	[DISP_PARAMS] = core_radius
-	[DESCRIPTION] =<text>
-						Model parameters:
-						scale : scale factor
-						core_radius : Core radius of the vesicle
-						thickness: shell thickness
-						core_sld: core scattering length density
-						shell_sld: shell scattering length density
-						background: incoherent background
-               </text>
-	[FIXED]=  core_radius.width
-	[ORIENTATION_PARAMS]= <text> </text>
+[PYTHONCLASS] = VesicleModel
+[DISP_PARAMS] = core_radius,thickness
+[DESCRIPTION] =<text>Model parameters:  core_radius : Core radius of the vesicle
+		thickness: shell thickness
+		core_sld: core scattering length density
+		shell_sld: shell scattering length density
+		background: incoherent background
+		scale : scale factor
+</text>
+[FIXED]=  core_radius.width; thickness.width
+[ORIENTATION_PARAMS]= <text> </text>
  */
 typedef struct {
